DtEditorCopyToClipboard(library call)

NAME
DtEditorCopyToClipboard — copy the primary selection in a DtEditor widget to the clipboard

SYNOPSIS

#include &<Dt/Editor.h>
Boolean DtEditorCopyToClipboard(
Widget widget);

DESCRIPTION

The DtEditorCopyToClipboard function copies to the clipboard the currently selected text in the DtEditor widget specified by the widget argument. Text can be selected and deselect programmatically with DtEditorSelectAll(3) and DtEditorDeselect(3).

The widget argument specifies the DtEditor widget ID.

For a complete definition of the DtEditor widget and its associated resources, see DtEditor(3).

RETURN VALUE

Upon successful completion, the DtEditorCopyToClipboard function returns True; otherwise, if the primary selection is NULL, or if the widget does not own the primary selection, or if the function is unable to gain ownership of the clipboard selection, it returns False.

SEE ALSO

Dt/Editor.h - DtEditor(5), DtEditor(3), DtEditorClearSelection(3), DtEditorCutToClipboard(3), DtEditorDeleteSelection(3), DtEditorDeselect(3), DtEditorPasteFromClipboard(3), DtEditorSelectAll(3), DtEditorUndoEdit(3).